

Patch from Andi Kleen <ak@muc.de>

This simple patch allow me to symlink hugetlbpage.c for x86-64.



 arch/i386/mm/hugetlbpage.c |    2 --
 include/asm-i386/pgtable.h |    1 +
 2 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/i386/mm/hugetlbpage.c~mk_pte_huge-header arch/i386/mm/hugetlbpage.c
--- 25/arch/i386/mm/hugetlbpage.c~mk_pte_huge-header	Mon Feb 17 13:52:19 2003
+++ 25-akpm/arch/i386/mm/hugetlbpage.c	Mon Feb 17 13:52:19 2003
@@ -71,8 +71,6 @@ static pte_t *huge_pte_offset(struct mm_
 	return (pte_t *) pmd;
 }
 
-#define mk_pte_huge(entry) {entry.pte_low |= (_PAGE_PRESENT | _PAGE_PSE);}
-
 static void set_huge_pte(struct mm_struct *mm, struct vm_area_struct *vma, struct page *page, pte_t * page_table, int write_access)
 {
 	pte_t entry;
diff -puN include/asm-i386/pgtable.h~mk_pte_huge-header include/asm-i386/pgtable.h
--- 25/include/asm-i386/pgtable.h~mk_pte_huge-header	Mon Feb 17 13:52:19 2003
+++ 25-akpm/include/asm-i386/pgtable.h	Mon Feb 17 13:52:19 2003
@@ -212,6 +212,7 @@ static inline void ptep_mkdirty(pte_t *p
  */
 
 #define mk_pte(page, pgprot)	pfn_pte(page_to_pfn(page), (pgprot))
+#define mk_pte_huge(entry) ((entry).pte_low |= _PAGE_PRESENT | _PAGE_PSE)
 
 static inline pte_t pte_modify(pte_t pte, pgprot_t newprot)
 {

_
